# SENTVehicleCrashDetectionState

The detection state of a vehicle crash.

<table><thead><tr><th width="382">Name</th><th>Description</th></tr></thead><tbody><tr><td>noCandidateDetected</td><td>A crash candidate has not been detected</td></tr><tr><td>candidateDetected</td><td>A crash candidate has been detected</td></tr><tr><td>discardedWeakImpact</td><td>The crash candidate has been discarded due to weak impact</td></tr><tr><td>discardedNonVehicleTransportMode</td><td>The crash candidate has been discarded due to non-vehicular transport mode</td></tr><tr><td>discardedPreImpactNoise</td><td>The crash candidate has been discarded due to too much noise in the pre-impact signal</td></tr><tr><td>discardedPreImpactNoise</td><td>The crash candidate has been discarded due to low pre-impact speed</td></tr><tr><td>discardedPostImpactNoise</td><td>The crash candidate has been discarded due to too much noise in the post-impact signal</td></tr><tr><td>discardedHighSpeedAfterImpact</td><td>The crash candidate has been discarded due to high post-impact speed</td></tr><tr><td>discardedBadLocationAccuracyBeforeImpact</td><td>The crash candidate has been discarded due to bad location accuracy leading up to the impact.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/sentvehiclecrashdetectionstate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
